

function UgkpOptions_OnLoad()
	UIPanelWindows['UgkpOptionsFrame'] = {area = 'center', pushable = 0};
end

function UgkpOptions_Init()
	UgkpOptionsFrameToggleButton:SetChecked(UgkpOptions.UgkpButtonShown);
	UgkpButtonPos:SetValue(UgkpOptions.UgkpButtonPosition);
end


function UgkpButton_OnClick()
	udkp_dkp_show();
end

function UgkpButton_Init()
	if(UgkpOptions.UgkpButtonShown) then
		UgkpButtonFrame:Show();
	else
		UgkpButtonFrame:Hide();
	end
end

function UgkpButton_Toggle()
	if(UgkpButtonFrame:IsVisible()) then
		UgkpButtonFrame:Hide();
		UgkpOptions.UgkpButtonShown = false;
	else
		UgkpButtonFrame:Show();
		UgkpOptions.UgkpButtonShown = true;
	end
	UgkpOptions_Init();
end

function UgkpButton_UpdatePosition()
	UgkpButtonFrame:SetPoint(
		"TOPLEFT",
		"Minimap",
		"TOPLEFT",
		54 - (78 * cos(UgkpOptions.UgkpButtonPosition)),
		(78 * sin(UgkpOptions.UgkpButtonPosition)) - 55
	);
end


function Ugkp_BrowseDropDown_OnLoad()
	UIDropDownMenu_Initialize(this, Ugkp_BrowseDropDown_Initialize);
	if(UgkpOptions.ItemQuality) then
		UIDropDownMenu_SetSelectedValue(Ugkp_BrowseDropDown, UgkpOptions.ItemQuality);
	end
end


function Ugkp_BrowseDropDown_Initialize()
	info = {};
	info.text = ALL;
	info.value = -1;
	info.func = Ugkp_BrowseDropDown_OnClick;
	UIDropDownMenu_AddButton(info);
	for i=0, getn(ITEM_QUALITY_COLORS)  do
		info = {};
		info.text = getglobal("ITEM_QUALITY"..i.."_DESC");
		info.value = i;
		info.func = Ugkp_BrowseDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end

end

function Ugkp_BrowseDropDown_OnClick()
	UIDropDownMenu_SetSelectedValue(Ugkp_BrowseDropDown, this.value);
	UgkpOptions.ItemQuality = this.value;
end

function Ugkp_CoinDropDown_OnLoad()
 	UIDropDownMenu_Initialize(this, Ugkp_Coin_Init);
	if(UgkpOptions.CoinLevel) then
		UIDropDownMenu_SetSelectedValue(this, UgkpOptions.CoinLevel);
	end
end

function Ugkp_Coin_Init()
	info = {};
	info.text = UGKP_MESSAGE_GOLD;
	info.value = 1;
	info.func = Ugkp_CoinDropDown_OnClick;
	UIDropDownMenu_AddButton(info);
	
	info = {};
	info.text = UGKP_MESSAGE_SILVER;
	info.value = 2;
	info.func = Ugkp_CoinDropDown_OnClick;
	UIDropDownMenu_AddButton(info);
end

function Ugkp_CoinDropDown_OnClick()
	UIDropDownMenu_SetSelectedValue(Ugkp_CoinDropDown, this.value);
	UgkpOptions.CoinLevel = this.value;
end


function Ugkp_ChannelDropDown_OnLoad()
 	UIDropDownMenu_Initialize(this, Ugkp_Channel_Init);
	if(UgkpOptions.ChannelLevel) then
		UIDropDownMenu_SetSelectedValue(this, UgkpOptions.ChannelLevel);
	end
end

function Ugkp_Channel_Init()
	info = {};
	info.text = UGKP_MESSAGE_CHANNEL_RAID;
	info.value = "RAID";
	info.func = Ugkp_ChannelDropDown_OnClick;
	UIDropDownMenu_AddButton(info);
	
	info = {};
	info.text = UGKP_MESSAGE_CHANNEL_PARTY;
	info.value = "PARTY";
	info.func = Ugkp_ChannelDropDown_OnClick;
	UIDropDownMenu_AddButton(info);
	
	info = {};
	info.text = UGKP_MESSAGE_CHANNEL_GUILD;
	info.value = "GUILD";
	info.func = Ugkp_ChannelDropDown_OnClick;
	UIDropDownMenu_AddButton(info);
	
	info = {};
	info.text = UGKP_MESSAGE_CHANNEL_SAY;
	info.value = "SAY";
	info.func = Ugkp_ChannelDropDown_OnClick;
	UIDropDownMenu_AddButton(info);
end

function Ugkp_ChannelDropDown_OnClick()
	UIDropDownMenu_SetSelectedValue(Ugkp_ChannelDropDown, this.value);
	UgkpOptions.ChannelLevel = this.value;
end

function UgkpSaveRuler()
	UgkpOptions.Ruler=ugkp_rulerBodyEditBox:GetText();
end

function ugkpSendRuler()
	s=ugkp_rulerBodyEditBox:GetText();
	pos=0;
	pos1=0;
	i=0;
	while(string.find(s,"\n",pos1)~=nil) do
		pos=string.find(s,"\n",pos1);
		s1=string.sub(s,pos1,pos-2)
		--Ugkp_Debug(s1);
		--Ugkp_Debug("------------------");
		--SendChatMessage(s1, UgkpOptions.ChannelLevel,this.language, nil);
		sendMessge(s1);
		pos1=pos+1
		i=i+1;
		if(i>20) then break; end
	end
		Ugkp_Debug(string.sub(s,pos1));
		sendMessge(string.sub(s,pos1));
		
	--SendChatMessage(ugkp_rulerBodyEditBox:GetText(), UgkpOptions.ChannelLevel,this.language, nil);
	--SendChatMessage(""..UGKP_MESSAGE_DUNIU, UgkpOptions.ChannelLevel,this.language, nil);
end

function sendMessge(s)
	if(string.len(s)>254) then
		len=string.len(s);
		i=0;
		while(i<len) do
			SendChatMessage(string.sub(s,i,i+254), UgkpOptions.ChannelLevel,this.language, nil);
			i=i+254;
		end
	else
		SendChatMessage(s, UgkpOptions.ChannelLevel,this.language, nil);
	end
end

function Ugkp_Set_Onload()
	ugkp_rulerBodyEditBox:SetText(UgkpOptions.Ruler);
end